"{ Package: 'jv:libgdbs' }"

GDBDebuggerObject subclass:#GDBBreakpoint
	instanceVariableNames:'number type disp enabled addr func file fullname line times'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core'
!

!GDBBreakpoint class methodsFor:'accessing - GDB value descriptors'!

gdbValueDescriptor
    ^ super gdbValueDescriptor
        define: #number as: Integer;
        define: #type as: String;
        define: #disp as: String;
        define: #enabled as: Boolean;
        define: #addr as: Integer;
        define: #func as: String;
        define: #file as: String;
        define: #fullname as: String;
        define: #line as: Integer;
        define: #times as: Integer;
        yourself

    "Created: / 06-09-2014 / 01:56:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBBreakpoint methodsFor:'accessing'!

addr
    ^ addr
!

disp
    ^ disp
!

enabled
    ^ enabled
!

file
    ^ file
!

fullname
    ^ fullname
!

func
    ^ func
!

line
    ^ line
!

number
    ^ number
!

times
    ^ times
!

type
    ^ type
! !

