"{ Package: 'jv:libgdbs' }"

GDBNotificationEvent subclass:#GDBThreadGroupEvent
	instanceVariableNames:'threadGroup id'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Events'
!

!GDBThreadGroupEvent class methodsFor:'accessing - GDB value descriptors'!

gdbValueDescriptor
    ^ (super gdbValueDescriptor)
        define: #id as: String;
        yourself

    "Created: / 06-09-2014 / 02:10:10 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBThreadGroupEvent methodsFor:'accessing'!

threadGroup
    ^ threadGroup
!

threadGroupId
    ^ id

    "Created: / 07-09-2014 / 15:08:59 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBThreadGroupEvent methodsFor:'initialization'!

setThreadGroup: aGDBThreadGroup
    self assert: id = aGDBThreadGroup id.
    threadGroup := aGDBThreadGroup.

    "Created: / 07-09-2014 / 12:45:35 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 07-09-2014 / 18:05:19 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

