"{ Package: 'jv:libgdbs' }"

GDBDebuggerObject subclass:#GDBTransientObject
	instanceVariableNames:'stateSequenceNumber'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core'
!

!GDBTransientObject methodsFor:'private'!

ensureIsValid
    self isValid ifTrue:[
        (GDBInvalidObject newException)
            parameter:self;
            messageText:'Invalid object (thread resumed)';
            raise.
    ].

    "Created: / 07-09-2014 / 23:08:21 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBTransientObject methodsFor:'testing'!

isValid
    ^ debugger currentInferiorStateSequnceNumber ~~ stateSequenceNumber
! !

