"{ Package: 'jv:libgdbs' }"

Object subclass:#GDBValueDescriptor
	instanceVariableNames:'klass'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Private-Descriptors'
!

!GDBValueDescriptor class methodsFor:'instance creation'!

forClass: aClass
    ^ self new initializeWithClass: aClass

    "Created: / 18-06-2014 / 23:06:07 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBValueDescriptor class methodsFor:'accessing - GDB value descriptors'!

gdbValueDescriptor
    ^ self

    "Created: / 18-06-2014 / 23:17:31 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBValueDescriptor class methodsFor:'queries'!

isAbstract
    "Return if this class is an abstract class.
     True is returned here for myself only; false for subclasses.
     Abstract subclasses must redefine again."

    ^ self == GDBValueDescriptor.

    "Modified: / 18-06-2014 / 23:03:44 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBValueDescriptor methodsFor:'initialization'!

initializeWithClass: aClass
    klass := aClass.

    "Created: / 18-06-2014 / 23:20:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBValueDescriptor methodsFor:'parsing'!

parseUsingParser: aGDBParser
    self subclassResponsibility

    "Created: / 18-06-2014 / 10:36:05 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

