"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_break_passcount
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_break_passcount class methodsFor:'documentation'!

documentation
"
The `-break-passcount' Command
------------------------------

Synopsis
........

      -break-passcount TRACEPOINT-NUMBER PASSCOUNT

   Set the passcount for tracepoint TRACEPOINT-NUMBER to PASSCOUNT.  If
the breakpoint referred to by TRACEPOINT-NUMBER is not a tracepoint,
error is emitted.  This corresponds to CLI command `passcount'.


"
! !

!GDBMI_break_passcount methodsFor:'accessing'!

operation
	^ 'break-passcount'
! !

