"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_gdb_exit
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_gdb_exit class methodsFor:'documentation'!

documentation
"
The `-gdb-exit' Command
-----------------------

Synopsis
........

      -gdb-exit

   Exit {No value for `GDBN'} immediately.

{No value for `GDBN'} Command
.............................

Approximately corresponds to `quit'.

Example
.......

     (gdb)
     -gdb-exit
     ^exit


"
! !

!GDBMI_gdb_exit methodsFor:'accessing'!

operation
	^ 'gdb-exit'
! !

